/**
 * @module fly
 * @private
 */
/** @hidden */
export declare type BlobPart = BufferSource | USVString | Blob;
/** @hidden */
export default class Blob {
    readonly size: number;
    readonly type: string;
    protected bytes: Uint8Array;
    constructor(blobParts?: BlobPart[], options?: BlobPropertyBag);
    slice(start?: number, end?: number, contentType?: string): Blob;
}
